﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MultiSelectInGrid.Models;
using Kendo.Mvc.UI;
using Kendo.Mvc.Extensions;
namespace MultiSelectInGrid.Controllers
{
    public class HomeController : Controller
    {
        private NorthwindRepository repository = new NorthwindRepository();

        public ActionResult Index()
        {
            SetEmployeeData();
            return View();
        }

        public ActionResult Read([DataSourceRequest] DataSourceRequest request)
        {
           
            return Json( SetEmployeeData().ToDataSourceResult(request));
        }

        public ActionResult Update(EmployeeViewModel employee)
        {
            //if (ModelState.IsValid)
            //{
            //    repository.UpdateEmployee(employee);
            //}

            return Json(new[] { employee }.ToDataSourceResult(new DataSourceRequest(), ModelState));
        }

        public ActionResult About()
        {
            return View();
        }

        public List<EmployeeViewModel> SetEmployeeData()
        {
            List<EmployeeViewModel> lstEmp = new List<EmployeeViewModel>();

            for (int i = 1; i <= 3; i++)
            {
                EmployeeViewModel e1 = new EmployeeViewModel();
                e1.EmployeeID = i ;
                e1.FirstName = "Jack"+i;
                e1.LastName = "Bradley"+i;
                

                lstEmp.Add(e1);
            }

            return lstEmp;
        }



        public JsonResult ReadSalaryRange()
        {
            List<SelectListItem> lst = new List<SelectListItem>() {
              new SelectListItem() {
                  Text = "50000",
                  Value = "1"
              },
              new SelectListItem() {
                  Text = "75000",
                  Value = "2"
              },
              new SelectListItem() {
                  Text = "100000",
                  Value = "3"
              }
          };
            
            return Json(lst, JsonRequestBehavior.AllowGet);
        }
            
    }
}
